apiVersion: apps/v1
kind: StatefulSet
metadata:
  annotations:
    kompose.cmd: kompose -v convert -c --error-on-warning -o square2helm --controller statefulset
    kompose.service.expose: "true"
    kompose.version: 1.26.0 (HEAD)
  creationTimestamp: null
  labels:
    io.kompose.service: square2tomcat
  name: square2tomcat
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: square2tomcat
  serviceName: square2tomcat
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.network/sq2-network: "true"
        io.kompose.service: square2tomcat
    spec:
      initContainers:
        - name: wait-for-squaredb
          image: alpine:3.15.0
          command: ["/bin/sleep"]
          args:
          - "120"
      containers:
        - image: registry.gitlab.com/libreumg/square2webapp/container/square2tomcat:latest
          name: square2tomcat
          ports:
            - containerPort: 8080
          resources: {}
      hostname: square2tomcat
      restartPolicy: Always
  updateStrategy: {}
status:
  replicas: 0
